﻿using System.Windows;
using System.Windows.Controls;

namespace RefApp8
{
    /// <summary>
    /// RegisterAccessor.xaml の相互作用ロジック
    /// </summary>
    public partial class RegisterAccessor : UserControl
    {
        /// <summary>
        /// コンストラクタです
        /// </summary>
        public RegisterAccessor()
        {
            InitializeComponent();
        }

        /// <summary>
        /// [Read]ボタンクリック時のイベントハンドラです
        /// </summary>
        /// <param name="sender">イベント送信元インスタンス</param>
        /// <param name="e">イベント引数</param>
        private void ReadButton_Click(object sender, RoutedEventArgs e)
        {

            if (!SUS.RegRead((uint)RegisterNumber.Value, (SUS.RegisterWidth)BitWidth.SelectedIndex, out string readData, out string errorMessage))
            {
                MainWindow.LogView.Print(errorMessage);
                MessageBox.Show(errorMessage, MainWindow.ErrorCaption, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            else
            {
                MainWindow.LogView.Print(errorMessage);
                ReadValue.Text = readData;
            }
        }

        /// <summary>
        /// [Write]ボタンクリック時のイベントハンドラです
        /// </summary>
        /// <param name="sender">イベント送信元インスタンス</param>
        /// <param name="e">イベント引数</param>
        private void WriteButton_Click(object sender, RoutedEventArgs e)
        {
            var writeData = WriteValue.Text;
            if (!SUS.RegWrite((uint)RegisterNumber.Value, (SUS.RegisterWidth)BitWidth.SelectedIndex, writeData, out string message))
            {
                MainWindow.LogView.Print(message);
                MessageBox.Show(message, MainWindow.ErrorCaption, MessageBoxButton.OK, MessageBoxImage.Error);
            }
            else
            {
                MainWindow.LogView.Print(message);
            }
        }
    }
}
