﻿using System;
using System.IO;

namespace RefApp8.Util
{
    /// <summary>
    /// アプリケーションデータに関するクラスです
    /// </summary>
    internal class AppData
    {
        /// <summary>
        /// アプリケーションデータを保存するディレクトリです
        /// </summary>
        private static string myAppDir = null;

        /// <summary>
        /// アプリケーションデータを保存するディレクトリです
        /// </summary>
        public static string RootDirectory
        {
            get
            {
                if (myAppDir == null)
                {
                    var appDataDir = Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData);
                    myAppDir = Path.Combine(appDataDir, "PSI", "RefApp8");
                    Directory.Create(myAppDir);
                }
                return myAppDir;
            }
        }

        /// <summary>
        /// アプリケーション設定データを保存するディレクトリです
        /// </summary>
        private static string configDir = null;

        /// <summary>
        /// アプリケーション設定データを保存するディレクトリです
        /// </summary>
        public static string ConfigDirectory
        {
            get
            {
                if (configDir == null)
                {
                    configDir = Path.Combine(RootDirectory, "config");
                    Directory.Create(configDir);
                }
                return configDir;
            }
        }

        /// <summary>
        /// アプリケーションログデータを保存するディレクトリです
        /// </summary>
        private static string logDir = null;

        /// <summary>
        /// アプリケーションログデータを保存するディレクトリです
        /// </summary>
        public static string LogDirectory
        {
            get
            {
                if (logDir == null)
                {
                    logDir = Path.Combine(RootDirectory, "log");
                    Directory.Create(logDir);
                }
                return logDir;
            }
        }
    }
}
