﻿using System.IO;
using System.Windows;

namespace RefApp8.Util
{
    /// <summary>
    /// ディレクトリのユーティリティクラスです
    /// </summary>
    internal static class Directory
    {
        /// <summary>
        /// ディレクトリを作成します
        /// </summary>
        /// <param name="dir">ディレクトリパス</param>
        static public void Create(string dir)
        {
            try
            {
                if (System.IO.Directory.Exists(dir))
                {
                    return;
                }
                System.IO.Directory.CreateDirectory(dir);
            }
            catch (IOException ex)
            {
                MessageBox.Show($"{ex.Message}\n{dir}");
            }
        }
    }
}
